
package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.excel.CgZlExcel;
import org.sky.scientific.pojo.entity.CgZlEntity;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 科研成果-专利 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface ICgZlService extends BaseService<CgZlEntity> {

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<CgZlExcel>
	 */
	List<CgZlExcel> export(Wrapper<CgZlEntity> queryWrapper);

    void importZl(MultipartFile file);

	boolean save(CgZlEntity cgZl);

	boolean update(CgZlEntity cgZl);

	boolean physicalDeleteByIds(List<Long> ids);
}
